"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.moduleExists = exports.defaultPlugins = void 0;
/* 默认加载的插件 */
exports.defaultPlugins = [
    ['@babel/plugin-proposal-decorators', { legacy: true }],
    '@babel/plugin-proposal-class-static-block',
    '@babel/plugin-proposal-class-properties',
    '@babel/plugin-proposal-do-expressions',
    '@babel/plugin-proposal-export-default-from',
    '@babel/plugin-proposal-export-namespace-from',
    '@babel/plugin-proposal-numeric-separator',
    ['@babel/plugin-proposal-pipeline-operator', { proposal: 'minimal' }],
    '@babel/plugin-proposal-throw-expressions',
    '@babel/plugin-syntax-module-string-names',
    '@babel/plugin-syntax-top-level-await' // top-level await
];
/* 判断模块是否存在 */
function moduleExists(id) {
    try {
        return require.resolve(id);
    }
    catch (err) {
        return false;
    }
}
exports.moduleExists = moduleExists;
